=== debian/control ===
Source: ros-bouncy-joy
Section: misc
Priority: extra
Maintainer: Mikael Arguedas <mikael@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-bouncy-ament-cmake, ros-bouncy-rclcpp, ros-bouncy-sensor-msgs, ros-bouncy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-bouncy-joy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-bouncy-rclcpp, ros-bouncy-sensor-msgs, ros-bouncy-ros-workspace
Description: ROS2 driver for a generic Linux joystick.
 Will contain a MacOS and Windows version later. The joy package contains joy_node, a node that interfaces a generic Linux joystick to ROS2. This node publishes a &quot;Joy&quot; message, which contains the current state of each one of the joystick's buttons and axes.
